<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var \Magento\Multishipping\Block\Checkout\Overview $block */
?>
<form action="<?php /* @escapeNotVerified */ echo $block->getPostActionUrl() ?>" method="post" id="review-order-form" data-mage-init='{"orderOverview": {}, "validation":{}}' class="form multicheckout order-review">
    <?php echo $block->getBlockHtml('formkey'); ?>
    <div class="block block-billing">
        <div class="block-title"><strong><?php /* @escapeNotVerified */ echo __('Billing Information') ?></strong></div>
        <div class="block-content">
            <div class="box box-billing-address">
                <?php $_address = $block->getBillingAddress() ?>
                <strong class="box-title">
                    <span><?php /* @escapeNotVerified */ echo __('Billing Address') ?></span>
                    <a href="<?php /* @escapeNotVerified */ echo $block->getEditBillingAddressUrl($_address) ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Change') ?></span></a>
                </strong>
                <div class="box-content">
                    <address>
                        <?php /* @escapeNotVerified */ echo $_address->format('html') ?>
                    </address>
                </div>
            </div>
            <div class="box box-billing-method">
                <strong class="box-title">
                    <span><?php /* @escapeNotVerified */ echo __('Payment Method') ?></span>
                    <a href="<?php /* @escapeNotVerified */ echo $block->getEditBillingUrl() ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Change') ?></span></a>
                </strong>
                <div class="box-content">
                    <input type="hidden" name="payment[cc_number]" value="<?php echo $block->escapeHtml($block->getPayment()->getCcNumber())?>" />
                    <input type="hidden" name="payment[cc_cid]" value="<?php echo $block->escapeHtml($block->getPayment()->getCcCid())?>" />
                    <?php echo $block->getPaymentHtml() ?>
                </div>
            </div>
        </div>
    </div>
    <div class="block block-shipping">
        <div class="block-title"><strong><?php /* @escapeNotVerified */ echo __('Shipping Information') ?></strong></div>
        <?php $mergedCells = ($this->helper('Magento\Tax\Helper\Data')->displayCartBothPrices() ? 2 : 1); ?>
        <?php foreach ($block->getShippingAddresses() as $_index => $_address): ?>
            <div class="block-content">
                <div class="title">
                    <strong><?php /* @escapeNotVerified */ echo __('Address %1 <span>of %2</span>', ($_index+1), $block->getShippingAddressCount()) ?></strong>
                </div>
                <div class="box box-shipping-address">
                    <strong class="box-title">
                        <span><?php /* @escapeNotVerified */ echo __('Shipping To') ?></span>
                        <a href="<?php /* @escapeNotVerified */ echo $block->getEditShippingAddressUrl($_address) ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Change') ?></span></a>
                    </strong>
                    <div class="box-content">
                        <address>
                            <?php /* @escapeNotVerified */ echo $_address->format('html') ?>
                        </address>
                    </div>
                </div>
                <div class="box box-shipping-method">
                    <strong class="box-title">
                        <span><?php /* @escapeNotVerified */ echo __('Shipping Method') ?></span>
                        <a href="<?php /* @escapeNotVerified */ echo $block->getEditShippingUrl() ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Change') ?></span></a>
                    </strong>
                    <?php if ($_rate = $block->getShippingAddressRate($_address)): ?>
                        <div class="box-content">
                            <?php echo $block->escapeHtml($_rate->getCarrierTitle()) ?> (<?php echo $block->escapeHtml($_rate->getMethodTitle()) ?>)
                            <?php $_excl = $block->getShippingPriceExclTax($_address); ?>
                            <?php $_incl = $block->getShippingPriceInclTax($_address); ?>

                            <?php if ($this->helper('Magento\Tax\Helper\Data')->displayShippingBothPrices() && $_incl != $_excl): ?>
                            <span class="price-including-tax" data-label="<?php /* @escapeNotVerified */ echo __('Incl. Tax'); ?>">
                            <?php endif; ?>
                                <?php /* @escapeNotVerified */ echo $_incl; ?>
                            <?php if ($this->helper('Magento\Tax\Helper\Data')->displayShippingBothPrices() && $_incl != $_excl): ?>
                            </span>
                            <?php endif; ?>
                            <?php if ($this->helper('Magento\Tax\Helper\Data')->displayShippingBothPrices() && $_incl != $_excl): ?>
                                <span class="price-excluding-tax" data-label="<?php /* @escapeNotVerified */ echo __('Excl. Tax'); ?>"><?php /* @escapeNotVerified */ echo $_excl; ?></span>
                            <?php endif; ?>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="box box-items">
                    <div class="box-content">
                        <div class="order-review-wrapper table-wrapper">
                            <table class="items data table table-order-review" id="overview-table-<?php /* @escapeNotVerified */ echo $_address->getId() ?>">
                                <caption class="table-caption"><?php /* @escapeNotVerified */ echo __('Order Review') ?></caption>
                                <thead>
                                <tr>
                                    <th class="col item" scope="col"><?php /* @escapeNotVerified */ echo __('Item') ?>
                                        <a href="<?php /* @escapeNotVerified */ echo $block->getAddressesEditUrl() ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Edit') ?></span></a>
                                    </th>
                                    <th class="col price" scope="col"><?php /* @escapeNotVerified */ echo __('Price') ?></th>
                                    <th class="col qty" scope="col"><?php /* @escapeNotVerified */ echo __('Qty') ?></th>
                                    <th class="col subtotal" scope="col"><?php /* @escapeNotVerified */ echo __('Subtotal') ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php foreach ($block->getShippingAddressItems($_address) as $_item): ?>
                                    <?php echo $block->getRowItemHtml($_item); ?>
                                <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <?php /* @escapeNotVerified */ echo $block->renderTotals($block->getShippingAddressTotals($_address)); ?>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>

    <?php if ($block->getQuote()->hasVirtualItems()): ?>
    <div class="block block-other">
        <div class="block-title"><strong><?php /* @escapeNotVerified */ echo __('Other items in your order') ?></strong></div>
        <div class="block-content">
            <strong class="subtitle">
                <span><?php /* @escapeNotVerified */ echo __('Items') ?></span>
                <a href="<?php /* @escapeNotVerified */ echo $block->getVirtualProductEditUrl() ?>" class="action edit"><span><?php /* @escapeNotVerified */ echo __('Edit Items') ?></span></a>
            </strong>
            <?php $mergedCells = ($this->helper('Magento\Tax\Helper\Data')->displayCartBothPrices() ? 2 : 1); ?>
            <div class="order-review-wrapper table-wrapper">
                <table class="items data table table-order-review" id="virtual-overview-table">
                    <caption class="table-caption"><?php /* @escapeNotVerified */ echo __('Items') ?></caption>
                    <thead>
                        <tr>
                            <th class="col item" scope="col"><?php /* @escapeNotVerified */ echo __('Product Name') ?></th>
                            <th class="col price" scope="col"><?php /* @escapeNotVerified */ echo __('Price') ?></th>
                            <th class="col qty" scope="col"><?php /* @escapeNotVerified */ echo __('Qty') ?></th>
                            <th class="col subtotal" scope="col"><?php /* @escapeNotVerified */ echo __('Subtotal') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($block->getVirtualItems() as $_item): ?>
                            <?php echo $block->getRowItemHtml($_item); ?>
                        <?php endforeach; ?>
                    </tbody>
                    <tfoot>
                    <?php /* @escapeNotVerified */ echo $block->renderTotals($block->getBillinAddressTotals()); ?>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <?php echo $block->getChildHtml('items_after'); ?>

    <div id="checkout-review-submit" class="checkout-review">
        <?php echo $block->getChildHtml('agreements') ?>
        <div class="grand totals">
            <strong class="mark"><?php /* @escapeNotVerified */ echo __('Grand Total:') ?></strong>
            <strong class="amount"><?php /* @escapeNotVerified */ echo $this->helper('Magento\Checkout\Helper\Data')->formatPrice($block->getTotal()) ?></strong>
        </div>
        <div class="actions-toolbar" id="review-buttons-container">
            <div class="primary">
                <button type="submit" class="action primary submit" id="review-button"><span><?php /* @escapeNotVerified */ echo __('Place Order') ?></span></button>
            </div>
            <div class="secondary">
                <a href="<?php /* @escapeNotVerified */ echo $block->getBackUrl() ?>" class="action back"><span><?php /* @escapeNotVerified */ echo __('Back to Billing Information') ?></span></a>
            </div>
            <span id="review-please-wait" class="please-wait load indicator" style="display: none;" data-text="<?php /* @escapeNotVerified */ echo __('Submitting order information...') ?>">
                <span><?php /* @escapeNotVerified */ echo __('Submitting order information...') ?></span>
            </span>
        </div>
    </div>
</form>
